import DprPollingHelper from '../../../DprPollingClass';
import { DprClientClass } from '../../../DprClientClass';
declare class DprAsyncPolling extends DprClientClass {
    private statusSection;
    private requestData;
    private currentStatus;
    private csrfToken;
    private reportUrl;
    private pollingInterval?;
    pollingHelper: DprPollingHelper;
    static getModuleName(): string;
    initialise(): void;
    private initPollingInterval;
    private pollStatus;
}
export { DprAsyncPolling };
export default DprAsyncPolling;
